Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.api
Class CheckstyleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.puppycrawl.tools.checkstyle.api.CheckstyleException

All Implemented Interfaces:
  java.io.Serializable

public class CheckstyleException
extends java.lang.Exception

Represents an error condition within Checkstyle.

Version:
  1.0
Author:
  Oliver Burn
See Also:
  Serialized Form

Constructor Summary
`CheckstyleException(java.lang.String aMessage)` Creates a new `CheckstyleException` instance.
`CheckstyleException(java.lang.String aMessage, java.lang.Throwable aCause)` Creates a new `CheckstyleException` instance that was caused by another exception.

Method Summary
`java.lang.Throwable` | `getCause()`
`java.lang.Throwable` | `initCause(java.lang.Throwable aCause)` Initializes the cause of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CheckstyleException

    public CheckstyleException(java.lang.String aMessage)

  Creates a new `CheckstyleException` instance.

Parameters:
  `aMessage` - a `String` value

### CheckstyleException

    public CheckstyleException(java.lang.String aMessage,
                               java.lang.Throwable aCause)

  Creates a new `CheckstyleException` instance that was caused by another exception.

Parameters:
  `aMessage` - a message that explains this exception
  `aCause` - the Exception that is wrapped by this exception

Method Detail

### initCause

    public java.lang.Throwable initCause(java.lang.Throwable aCause)

  Initializes the cause of this exception. In JDK 1.4 (and later) the cause is printed as part of the exception stacktrace.

  Parameters:
    `aCause` - the exception that caused this CheckstyleException to be thrown
  Returns:
    a reference to this CheckstyleException instance

### getCause

    public java.lang.Throwable getCause()

  Returns:
    the cause of this exception, might be `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD